Package org.picocontainer.injectors

# Class Reinjection

java.lang.Object
org.picocontainer.injectors.AbstractInjectionFactory
org.picocontainer.injectors.CompositeInjection
org.picocontainer.injectors.Reinjection

All Implemented Interfaces:
  `Serializable`, `ComponentFactory`, `InjectionFactory`

public class Reinjection extends CompositeInjection

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Reinjection(InjectionFactory reinjectionFactory, PicoContainer parent)`

## Method Summary

### Methods inherited from class org.picocontainer.injectors.CompositeInjection

`createComponentAdapter`

### Methods inherited from class org.picocontainer.injectors.AbstractInjectionFactory

`accept, verify, wrapLifeCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Reinjection

public Reinjection(InjectionFactory reinjectionFactory, PicoContainer parent)